# Namespace: table_module

## table_module

Módulo tabla, utilizado para crear y gestionar las tablas en nicho ecológico y comunidad ecológica.

Source:
  - table_module.js, line 2

### Methods

#### (private, static) ._adjustComponents()

Éste método ajusta los componentes visuales después de obtener lso resutlados del análisis de nicho ecológico.

Source:
  - table_module.js, line 280

#### (private, static) ._initializeVarComponents(language_module, tipo_modulo)

Éste método incializa el módulo de internacionalización que esta relacionado con el selector de variables.

##### Parameters:

Name | Type | Description
--- | --- | ---
`language_module` | object | Módulo de internacionalización
`tipo_modulo` | integer | Tipo de módulo donde serán asignados los selectores de variables, nicho o comunidad ecológica

Source:
  - variable_module.js, line 1638

#### (private, static) ._initilizeTableModule(tbl_net)

Éste método inicializa variables y componentes que son necesarios en la generación de tablas.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tbl_net` | boolean | Bandera que indica el estado incial de la tabla desplegada en comunidad ecológica

Source:
  - table_module.js, line 30

#### (static) .addImageEpsilon()

Éste método agrega la imagen de la fórmula para el cáculo de epsilon.

Source:
  - table_module.js, line 158

#### (static) .addImageScore()

Éste método agrega la imagen de la fórmula para el cáculo de score.

Source:
  - table_module.js, line 144

#### (static) .createDecilList(list_elements)

Éste método genera la tabla decil del análisis de nicho ecológico cuando un decil del histograma es seleccionado.

##### Parameters:

Name | Type | Description
--- | --- | ---
`list_elements` | array | Array con el resultado del análisis de nicho ecológico del histograma decil

Source:
  - table_module.js, line 60

#### (static) .createEspList(rawdata)

Éste método genera la tabla de resultados totales para el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`rawdata` | array | Array con el resultado de epsilon y score por especie del análisis de nicho ecológico.

Source:
  - table_module.js, line 173

#### (static) .createListNet(json, display_obj)

Éste método retorna una instancia del módulo tabla para enlazarlo con el histograma de comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | json | Valores generados por el módulo histograma creado en comunidad ecológica
`display_obj` | object | Referencia del controlador de comunidad ecológica

Source:
  - table_module.js, line 307

#### (static) .createSelectorComponent(parent, id, title)

Éste método llama a la creación del selector de variables.

##### Parameters:

Name | Type | Description
--- | --- | ---
`parent` | String | Id del contenedor del selector de variables
`id` | String | Id del selector de variables
`title` | String | Título del selector de variables desplegado en la parte superior

Source:
  - variable_module.js, line 1614

#### (static) .EpsilonList(div)

Clase que genera instancias de tipo tabla para la interacción con el módulo de histograma y el modulo de red utilizando el controlador de comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`div` | object | Contendor de la tabla de los resultados del análisis de comunidad ecológica y de los rangos enviados por el módulo histograma

Source:
  - table_module.js, line 335

#### (static) .getVarSelArray()

Método getter de los grupos de variables seleccionados

Source:
  - variable_module.js, line 39

#### (static) .setLanguageModule(language_module)

Éste método asigna a una variable global una instancia del módulo de lenguaje.

##### Parameters:

Name | Type | Description
--- | --- | ---
`language_module` | object | Módulo de internacionalización

Source:
  - table_module.js, line 45

#### (static) .startTableModules(tbl_net)

Éste método realiza el llamdo de la función que inicializa los parámetros necesarios para la creación de tablas en los sistemas de nicho y comunidad.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tbl_net` | boolean | Bandera que indica el estado incial de la tabla desplegada en comunidad ecológica

Source:
  - table_module.js, line 436

#### (static) .startVar(id, language_module, tipo_modulo)

Éste método realiza el llamado a la función que inicializa las variables necesarias para la creación del selector de variables.

##### Parameters:

Name | Type | Description
--- | --- | ---
`id` | String | Id del selector de variables
`language_module` | object | Módulo de internacionalización
`tipo_modulo` | integer | Tipo de módulo donde serán asignados los selectores de variables, nicho o comunidad ecológica

Source:
  - variable_module.js, line 1673

#### (static) .VariableSelector(parent, id, title)

Éste método realiza la creación del selector de variables. Actualmente genera un selector de grupos taxonómicos, variables climáticas y variables topográficas.

##### Parameters:

Name | Type | Description
--- | --- | ---
`parent` | String | Id del contenedor del selector de variables
`id` | String | Id del selector de variables
`title` | String | Título del selector de variables desplegado en la parte superior

Source:
  - variable_module.js, line 51